<?php 
session_start(); // Always start session for session varibles
if (empty($_SESSION['username'])) {
    // redirect user to the login page if username is empty
    header("Location:login_form.php");
    
    // terminate the current script
    exit();
}
else
{
}   

//header used for formating and title
$page_title = "Handle Form Product"; include('header.php'); ?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
</head>
<body style="text-align: center;">
        
<!--Search page link-->
<div class="search-link">
<a href = "secret_page.php">Click here to go back to search</a>
</div>

<!--Cart link-->
<div class="cart-link">
<a href = "shopping_cart.php">Click here to see Shopping Cart</a>
</div>


<?php
//Import $dbc object. To connect to database.
include('mysqli_connect.php');

//Make object for each item
$minVal = mysqli_real_escape_string($dbc, trim($_POST['minVal']));
$maxVal = mysqli_real_escape_string($dbc, trim($_POST['maxVal']));


//Form the query to be sent to the data base with the objects from before.
$query = " SELECT *  FROM `products` WHERE `Price` BETWEEN '$minVal' and '$maxVal'";
//Run the insert query
$result = mysqli_query($dbc, $query);

//Check for if there is a value at all in min or max
if (empty($maxVal) or empty($minVal)) {
    echo "<p>Please enter a value for both min and max</p>";
} else {
if ($result) { // $result will be false if failure of running the insert query
	echo "You are serching for a donation value between $minVal and $maxVal";
	$row_count = mysqli_num_rows($result);
	echo "<br>Results found: $row_count";;

} else {
	echo "Failed to retive data from database:";
	$row_count = mysqli_num_rows($result);
	echo "<p><strong>$row_count</strong> results found. Please retry your search.</p>";
}}

//Next, we can close the $dbc object
mysqli_close($dbc); 


//Present the result.
while ($row_array = mysqli_fetch_array($result, MYSQLI_ASSOC)){
    echo "<div class='product'>";
    echo "<p>";
    
    $img = $row_array['imgURL'];
    $imgurl = "images/$img"; # Prepare an imagelink
    if (file_exists("$imgurl")){
        echo "<img src='$imgurl'>"; # Display the image
    } else {
        echo "<img src='images/Blank.jpeg'>";
    }
    
    
    echo "<p>";
    echo "Product Name: " . $row_array['Name'] . "</h3>"; //Print product Name
    echo "<br>";
    echo "Category: " . $row_array['Category']; //Print product Category
    echo "<br>";
    echo "Value: $" . $row_array['Price']; //Print product Price
    echo "<br>";
    echo "Quantity: " . $row_array['Quantity']; //Print product Quantity
    echo "<br>";
    echo "Description: " . $row_array['Description']; //Print product description
?>
<!--form for adding to cart-->
    <form method="post" action="add_to_cart.php">
        <input type="hidden" name="product_id" value="<?php echo $row_array['productID']; ?>">
        <input type="hidden" name="product_name" value="<?php echo $row_array['Name']; ?>">
        <input type="hidden" name="product_price" value="<?php echo $row_array['Price']; ?>">
        <input type="number" name="quantity" value="1">
        <input type="submit" value="Add to Cart">
    </form>
    </div>
<?php
    echo "<br>";
    echo "<br>";
}
?>

</body>

<!--log out link-->
<div class="logout-link">
<a href = "logout.php">Click here to log out</a>
</div>

</html>